Package de.willuhn.jameica.hbci.passports.ddv

# Class PassportParameter

java.lang.Object
de.willuhn.jameica.hbci.passports.ddv.PassportParameter

public class PassportParameter extends Object
Haelt die Namen der HBCI4Java-Passport-Parameter.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CTAPI`
Parameter fuer den Pfad und Dateinamen des CTAPI-Treibers.
`static final String`
`CTNUMBER`
Parameter fuer den Index (normalerweise 0)
`static final String`
`ENTRYIDX`
Parameter fuer den Index des HBCI-Zugangs (meist 1).
`static final String`
`NAME`
Parameter fuer den Namen des Kartenlesers, wenn DDVPCSC (javax.smartcardio) verwendet wird.
`static final String`
`PORT`
Parameter fuer den Port (meist 0)
`static final String`
`SOFTPIN`
Parameter ob die Tastatur zur Pin-Eingabe verwendet werden soll.

## Constructor Summary

Constructors
Constructor
Description
`PassportParameter()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`get(Reader.Type type, String parameter)`
Liefert den Namen des Init-Parameters fuer HBCI4Java.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PORT

public static final String PORT
Parameter fuer den Port (meist 0)

See Also:
  - Constant Field Values

### CTNUMBER

public static final String CTNUMBER
Parameter fuer den Index (normalerweise 0)

See Also:
  - Constant Field Values

### SOFTPIN

public static final String SOFTPIN
Parameter ob die Tastatur zur Pin-Eingabe verwendet werden soll.

See Also:
  - Constant Field Values

### ENTRYIDX

public static final String ENTRYIDX
Parameter fuer den Index des HBCI-Zugangs (meist 1).

See Also:
  - Constant Field Values

### CTAPI

public static final String CTAPI
Parameter fuer den Pfad und Dateinamen des CTAPI-Treibers.

See Also:
  - Constant Field Values

### NAME

public static final String NAME
Parameter fuer den Namen des Kartenlesers, wenn DDVPCSC (javax.smartcardio) verwendet wird.

See Also:
  - Constant Field Values

## Constructor Details

### PassportParameter

public PassportParameter()

## Method Details

### get

public static String get(Reader.Type type, String parameter)
Liefert den Namen des Init-Parameters fuer HBCI4Java.

Parameters:
  `type` - der Kartenleser-Typ.
  `parameter` - der Name des Parameters.
Returns:
  der vollstaendige Parametername.